curl --request GET \
--url https://api.baselayer.com/lien_searches/adhoc/{liens_search_request_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/lien_searches/adhoc/{liens_search_request_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/lien_searches/adhoc/{liens_search_request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"state": "PENDING",
"filings": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "CA",
"filing_number": "P98172",
"filing_type": "Lien for Loan Default",
"filing_date": "2023-09-18",
"lapse_date": "2023-04-15",
"status": "Under Appeal",
"number_of_pages": 14,
"last_updated_at": "2023-12-25",
"document_filename": "docket_47182.pdf",
"parties": [],
"amendments": [],
"collateral_type": "blanket",
"collateral_statements": [],
"lien_amount": 15432.5,
"match_level": "NO_MATCH",
"search_entity_name": "<string>",
"search_entity_type": "Business"
}
],
"last_updated_at": "2024-06-01",
"searched_states": [
"FL",
"CA"
],
"error": "TimeoutError: The Liens Search could not be completed."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Adhoc Liens
This endpoint retrieves a specific adhoc lien search request by its unique identifier. It returns a LiensSearchRequest object that includes the state of the request and a list of lien filings associated with the request.
The lien filings provide detailed information about each lien, including the filing number, type, date, status, and associated business and search request. The model also links to any amendments and the involved parties.
Authorizations
Path Parameters
The unique identifier of the adhoc liens search request.
"3fbc6a5b-b22a-4dc8-a91e-71603790e979"
Response
Response
Represents the response from an adhoc liens search request. This includes the unique identifier of the request, the current state of the request, and a list of lien filings associated with the request.
The identifier of this liens search response.
The name used for the ad-hoc liens search.
The current state of the liens search request.
PENDING, EXECUTING, COMPLETED, FAILED, CANCELLED A list of lien filings associated with the search request.
Show child attributes
Show child attributes
The date the lien search result was last updated.
"2024-06-01"
Indicates the list of states specified in the liens search request.
AL, AK, AZ, AR, CA, CO, CT, DE, DC, FL, GA, HI, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY, PR, VI, AE, AA, AP, GU, AS ["FL", "CA"]
Any errors that occurred during the liens search request.
"TimeoutError: The Liens Search could not be completed."